> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Compliance Reports

> List compliance reports, optionally filtered by project.



## OpenAPI

````yaml /openapi.json get /v1/compliance/reports
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/compliance/reports:
    get:
      tags:
        - compliance
      summary: List Compliance Reports
      description: List compliance reports, optionally filtered by project.
      operationId: list_compliance_reports_v1_compliance_reports_get
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Project Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ComplianceReportListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ComplianceReportListResponse:
      properties:
        reports:
          items:
            $ref: '#/components/schemas/ComplianceReportResponse'
          type: array
          title: Reports
        total:
          type: integer
          title: Total
      type: object
      required:
        - reports
        - total
      title: ComplianceReportListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ComplianceReportResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        project_id:
          type: string
          format: uuid
          title: Project Id
        organization_id:
          type: string
          title: Organization Id
        report_ids:
          items:
            type: string
            format: uuid
          type: array
          title: Report Ids
        standard:
          anyOf:
            - type: string
            - type: 'null'
          title: Standard
        format:
          type: string
          title: Format
        status:
          type: string
          title: Status
        artifacts_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Artifacts Path
        download_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Download Url
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        created_at:
          type: string
          format: date-time
          title: Created At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - project_id
        - organization_id
        - report_ids
        - format
        - status
        - created_at
      title: ComplianceReportResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````